server {
    listen 2121;
    server_name sproutgate-frontend;

    root /shumengya/www/self-made/sproutgate-frontend;
    index index.html;

    location / {
        # SPA fallback
        try_files $uri $uri/ /index.html;
    }

    location ~ /\. {
        deny all;
    }

    location ^~ /assets/ {
        expires 30d;
        add_header Cache-Control "public, immutable";
    }

    location ~* \.(css|js|map|png|jpg|jpeg|gif|svg|ico|webp|woff2?|ttf|eot)$ {
        expires 30d;
        add_header Cache-Control "public, immutable";
    }
}
